# GetU2Item

### int GetU2Item(int lMsgId, ref ushort nValue)

수신한 SECS메시지의 U2(Unsigned Integer 2 Byte) Item을 읽음.

반환값은 U2 Item의 Size를 의미함.

Parameters

<table data-header-hidden><thead><tr><th width="206" valign="top"></th><th width="156" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">lMsgId</td><td valign="top">int</td><td valign="top">수신한 Message의 ID</td></tr><tr><td valign="top">nValue</td><td valign="top">ref ushort</td><td valign="top">U2 Item을 저장할 변수</td></tr></tbody></table>

```csharp
ushort nVal = 0;
m_gem.GetU2Item(lMsgId, ref nVal);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/item-parsing/getu2uitem/getu2item.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
